#!/bin/bash
echo "开始"
echo "$(date "+%Y-%m-%d %H:%M:%S") 更新环境变量..."
cd ~ && source ./base_profile
echo "$(date "+%Y-%m-%d %H:%M:%S") 更新环境变量完成！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在杀爬虫进程..."
# shellcheck disable=SC2009
ps aux | grep run_zqttk_recommend.py | grep -v grep | awk '{print $2}' | xargs kill -9
echo "$(date "+%Y-%m-%d %H:%M:%S") 进程已杀死！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在更新代码..."
cd /Users/piaoquan/Desktop/crawler/crawler_zhiqingzongqun/ && git pull origin master --force && rm -f nohup.log
echo "$(date "+%Y-%m-%d %H:%M:%S") 代码更新完成！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启Appium..."
# shellcheck disable=SC2009
ps aux | grep Appium.app | grep -v grep | awk '{print $2}' | xargs kill -9
nohup /usr/local/bin/node /Applications/Appium.app/Contents/Resources/app/node_modules/appium/build/lib/main.js >>./nohup.log 2>&1 &
echo "$(date "+%Y-%m-%d %H:%M:%S") 重启Appium完毕!"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启adb..."
adb kill-server
adb start-server
echo "$(date "+%Y-%m-%d %H:%M:%S") 重启adb完毕!"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启爬虫服务..."
nohup python3 -u main/run_zqttk_recommend.py >>./nohup.log 2>&1 &
echo "$(date "+%Y-%m-%d %H:%M:%S") 爬虫服务重启完毕!"

exit 0
